Changeset 1446 for ThirdParty/Blas


Ignore:
Timestamp:
Nov 22, 2009 1:47:29 PM (10 years ago)
Author:
stefan
Message:

stop using COIN_HAS_PROJECT; some cleanup; use MODULE_BLAS in Mumps

Location:
ThirdParty/Blas/branches/BSPsplit
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/branches/BSPsplit/Makefile.in

    r1437 r1446  
    115115distuninstallcheck_listfiles = find . -type f -print
    116116distcleancheck_listfiles = find . -type f -print
     117ABSBUILDDIR = @ABSBUILDDIR@
    117118ACLOCAL = @ACLOCAL@
    118119ADDLIBS = @ADDLIBS@
     
    130131AUX_DIR = @AUX_DIR@
    131132AWK = @AWK@
    132 BLASDATADIR = @BLASDATADIR@
    133 BLASDOCDIR = @BLASDOCDIR@
    134 BLASINSTDIR = @BLASINSTDIR@
    135 BLASOBJDIR = @BLASOBJDIR@
    136 BLASSRCDIR = @BLASSRCDIR@
    137133BUILDTOOLSDIR = @BUILDTOOLSDIR@
    138134CC = @CC@
     
    140136CDEFS = @CDEFS@
    141137CFLAGS = @CFLAGS@
    142 COIN_HAS_BLAS_FALSE = @COIN_HAS_BLAS_FALSE@
    143 COIN_HAS_BLAS_PREINSTALLED_FALSE = @COIN_HAS_BLAS_PREINSTALLED_FALSE@
    144 COIN_HAS_BLAS_PREINSTALLED_TRUE = @COIN_HAS_BLAS_PREINSTALLED_TRUE@
    145 COIN_HAS_BLAS_TRUE = @COIN_HAS_BLAS_TRUE@
    146138CPP = @CPP@
    147139CPPFLAGS = @CPPFLAGS@
  • ThirdParty/Blas/branches/BSPsplit/blas-uninstalled.pc.in

    r1397 r1446  
    11prefix=@prefix@
    2 libdir=@BLASOBJDIR@
     2libdir=@ABSBUILDDIR@
    33
    44Name: Blas
  • ThirdParty/Blas/branches/BSPsplit/configure

    r1437 r1446  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS BLASSRCDIR BLASOBJDIR BLASDOCDIR BLASDATADIR BLASINSTDIR COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_BLAS_PREINSTALLED_TRUE COIN_HAS_BLAS_PREINSTALLED_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11001100  --with-tags[=TAGS]
    11011101                          include additional configurations [automatic]
    1102   --with-blas-instdir prefix of installation directory for precompiled Blas
    1103                           package
    1104   --with-blas-srcdir source directory for Blas package
    1105   --with-blas-objdir object directory for Blas package (if different from
    1106                           source directory in VPATH compilation)
    1107   --with-coin-instdir     prefix of installation directory for precompiled
    1108                           COIN packages
    11091102
    11101103Some influential environment variables:
     
    32943287
    32953288# Provide some information about the compiler.
    3296 echo "$as_me:3296:" \
     3289echo "$as_me:3289:" \
    32973290     "checking for Fortran 77 compiler version" >&5
    32983291ac_compiler=`set X $ac_compile; echo $2`
     
    54435436*-*-irix6*)
    54445437  # Find out which ABI we are using.
    5445   echo '#line 5445 "configure"' > conftest.$ac_ext
     5438  echo '#line 5438 "configure"' > conftest.$ac_ext
    54465439  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    54475440  (eval $ac_compile) 2>&5
     
    78727865   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78737866   -e 's:$: $lt_compiler_flag:'`
    7874    (eval echo "\"\$as_me:7874: $lt_compile\"" >&5)
     7867   (eval echo "\"\$as_me:7867: $lt_compile\"" >&5)
    78757868   (eval "$lt_compile" 2>conftest.err)
    78767869   ac_status=$?
    78777870   cat conftest.err >&5
    7878    echo "$as_me:7878: \$? = $ac_status" >&5
     7871   echo "$as_me:7871: \$? = $ac_status" >&5
    78797872   if (exit $ac_status) && test -s "$ac_outfile"; then
    78807873     # The compiler can only warn and ignore the option if not recognized
     
    81408133   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81418134   -e 's:$: $lt_compiler_flag:'`
    8142    (eval echo "\"\$as_me:8142: $lt_compile\"" >&5)
     8135   (eval echo "\"\$as_me:8135: $lt_compile\"" >&5)
    81438136   (eval "$lt_compile" 2>conftest.err)
    81448137   ac_status=$?
    81458138   cat conftest.err >&5
    8146    echo "$as_me:8146: \$? = $ac_status" >&5
     8139   echo "$as_me:8139: \$? = $ac_status" >&5
    81478140   if (exit $ac_status) && test -s "$ac_outfile"; then
    81488141     # The compiler can only warn and ignore the option if not recognized
     
    82448237   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82458238   -e 's:$: $lt_compiler_flag:'`
    8246    (eval echo "\"\$as_me:8246: $lt_compile\"" >&5)
     8239   (eval echo "\"\$as_me:8239: $lt_compile\"" >&5)
    82478240   (eval "$lt_compile" 2>out/conftest.err)
    82488241   ac_status=$?
    82498242   cat out/conftest.err >&5
    8250    echo "$as_me:8250: \$? = $ac_status" >&5
     8243   echo "$as_me:8243: \$? = $ac_status" >&5
    82518244   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82528245   then
     
    1058910582  lt_status=$lt_dlunknown
    1059010583  cat > conftest.$ac_ext <<EOF
    10591 #line 10591 "configure"
     10584#line 10584 "configure"
    1059210585#include "confdefs.h"
    1059310586
     
    1068910682  lt_status=$lt_dlunknown
    1069010683  cat > conftest.$ac_ext <<EOF
    10691 #line 10691 "configure"
     10684#line 10684 "configure"
    1069210685#include "confdefs.h"
    1069310686
     
    1303313026   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303413027   -e 's:$: $lt_compiler_flag:'`
    13035    (eval echo "\"\$as_me:13035: $lt_compile\"" >&5)
     13028   (eval echo "\"\$as_me:13028: $lt_compile\"" >&5)
    1303613029   (eval "$lt_compile" 2>conftest.err)
    1303713030   ac_status=$?
    1303813031   cat conftest.err >&5
    13039    echo "$as_me:13039: \$? = $ac_status" >&5
     13032   echo "$as_me:13032: \$? = $ac_status" >&5
    1304013033   if (exit $ac_status) && test -s "$ac_outfile"; then
    1304113034     # The compiler can only warn and ignore the option if not recognized
     
    1313713130   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1313813131   -e 's:$: $lt_compiler_flag:'`
    13139    (eval echo "\"\$as_me:13139: $lt_compile\"" >&5)
     13132   (eval echo "\"\$as_me:13132: $lt_compile\"" >&5)
    1314013133   (eval "$lt_compile" 2>out/conftest.err)
    1314113134   ac_status=$?
    1314213135   cat out/conftest.err >&5
    13143    echo "$as_me:13143: \$? = $ac_status" >&5
     13136   echo "$as_me:13136: \$? = $ac_status" >&5
    1314413137   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1314513138   then
     
    1470714700   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470814701   -e 's:$: $lt_compiler_flag:'`
    14709    (eval echo "\"\$as_me:14709: $lt_compile\"" >&5)
     14702   (eval echo "\"\$as_me:14702: $lt_compile\"" >&5)
    1471014703   (eval "$lt_compile" 2>conftest.err)
    1471114704   ac_status=$?
    1471214705   cat conftest.err >&5
    14713    echo "$as_me:14713: \$? = $ac_status" >&5
     14706   echo "$as_me:14706: \$? = $ac_status" >&5
    1471414707   if (exit $ac_status) && test -s "$ac_outfile"; then
    1471514708     # The compiler can only warn and ignore the option if not recognized
     
    1481114804   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481214805   -e 's:$: $lt_compiler_flag:'`
    14813    (eval echo "\"\$as_me:14813: $lt_compile\"" >&5)
     14806   (eval echo "\"\$as_me:14806: $lt_compile\"" >&5)
    1481414807   (eval "$lt_compile" 2>out/conftest.err)
    1481514808   ac_status=$?
    1481614809   cat out/conftest.err >&5
    14817    echo "$as_me:14817: \$? = $ac_status" >&5
     14810   echo "$as_me:14810: \$? = $ac_status" >&5
    1481814811   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1481914812   then
     
    1701817011   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1701917012   -e 's:$: $lt_compiler_flag:'`
    17020    (eval echo "\"\$as_me:17020: $lt_compile\"" >&5)
     17013   (eval echo "\"\$as_me:17013: $lt_compile\"" >&5)
    1702117014   (eval "$lt_compile" 2>conftest.err)
    1702217015   ac_status=$?
    1702317016   cat conftest.err >&5
    17024    echo "$as_me:17024: \$? = $ac_status" >&5
     17017   echo "$as_me:17017: \$? = $ac_status" >&5
    1702517018   if (exit $ac_status) && test -s "$ac_outfile"; then
    1702617019     # The compiler can only warn and ignore the option if not recognized
     
    1728617279   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728717280   -e 's:$: $lt_compiler_flag:'`
    17288    (eval echo "\"\$as_me:17288: $lt_compile\"" >&5)
     17281   (eval echo "\"\$as_me:17281: $lt_compile\"" >&5)
    1728917282   (eval "$lt_compile" 2>conftest.err)
    1729017283   ac_status=$?
    1729117284   cat conftest.err >&5
    17292    echo "$as_me:17292: \$? = $ac_status" >&5
     17285   echo "$as_me:17285: \$? = $ac_status" >&5
    1729317286   if (exit $ac_status) && test -s "$ac_outfile"; then
    1729417287     # The compiler can only warn and ignore the option if not recognized
     
    1739017383   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1739117384   -e 's:$: $lt_compiler_flag:'`
    17392    (eval echo "\"\$as_me:17392: $lt_compile\"" >&5)
     17385   (eval echo "\"\$as_me:17385: $lt_compile\"" >&5)
    1739317386   (eval "$lt_compile" 2>out/conftest.err)
    1739417387   ac_status=$?
    1739517388   cat out/conftest.err >&5
    17396    echo "$as_me:17396: \$? = $ac_status" >&5
     17389   echo "$as_me:17389: \$? = $ac_status" >&5
    1739717390   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1739817391   then
     
    2029220285}
    2029320286
    20294 echo "$as_me:$LINENO: checking for COIN project Blas in " >&5
    20295 echo $ECHO_N "checking for COIN project Blas in ... $ECHO_C" >&6
    20296 # First check, if the sub-project is actually available (ToDo: allow
    20297 # other locations)
    20298 
    20299 #replace backslashes by underscore
    20300 #m4_define([escape], m4_bpatsubsts([Blas],[/],[_]))
    20301 
    20302 coin_has_blas=notGiven
    20303 if test x"$COIN_SKIP_PROJECTS" != x; then
    20304   for dir in $COIN_SKIP_PROJECTS; do
    20305     if test $dir = Blas; then
    20306       coin_has_blas=skipping
    20307     fi
    20308   done
    20309 fi
    20310 
    20311 
    20312 
    20313 
    20314 
    20315 
    20316 BLASSRCDIR=This_Variable_Is_Not_Set
    20317 BLASOBJDIR=This_Variable_Is_Not_Set
    20318 BLASDOCDIR=This_Variable_Is_Not_Set
    20319 BLASDATADIR=This_Variable_Is_Not_Set
    20320 BLASINSTDIR=This_Variable_Is_Not_Set
    20321 
    20322 if test $coin_has_blas != skipping; then
    20323   if test $PACKAGE_TARNAME = blas; then
    20324     coin_has_blas=.
    20325   else
    20326 
    20327 # Check whether --with-m4_tolower(Blas)-instdir or --without-m4_tolower(Blas)-instdir was given.
    20328 if test "${with_blas_instdir+set}" = set; then
    20329   withval="$with_blas_instdir"
    20330   coin_has_blas=installed
    20331                  if test -d "$withval"; then : ; else
    20332                    { { echo "$as_me:$LINENO: error: argument for --with-blas-instdir not a directory" >&5
    20333 echo "$as_me: error: argument for --with-blas-instdir not a directory" >&2;}
    20334    { (exit 1); exit 1; }; }
    20335                  fi
    20336                  BLASINSTDIR=`cd $withval; pwd`
    20337 fi;
    20338 
    20339 
    20340 # Check whether --with-m4_tolower(Blas)-srcdir or --without-m4_tolower(Blas)-srcdir was given.
    20341 if test "${with_blas_srcdir+set}" = set; then
    20342   withval="$with_blas_srcdir"
    20343   if test "$coin_has_blas" = installed; then
    20344                    { { echo "$as_me:$LINENO: error: --with-$blas-srcdir cannot be given together with --with-blas-instdir" >&5
    20345 echo "$as_me: error: --with-$blas-srcdir cannot be given together with --with-blas-instdir" >&2;}
    20346    { (exit 1); exit 1; }; }
    20347                  fi
    20348                  if test -d "$withval"; then : ; else
    20349                    { { echo "$as_me:$LINENO: error: argument for --with-blas-srcdir not a directory" >&5
    20350 echo "$as_me: error: argument for --with-blas-srcdir not a directory" >&2;}
    20351    { (exit 1); exit 1; }; }
    20352                  fi
    20353                  coin_has_blas=$withval
    20354                  BLASSRCDIR=`cd $withval; pwd`
    20355 fi;
    20356 
    20357 
    20358 # Check whether --with-m4_tolower(Blas)-objdir or --without-m4_tolower(Blas)-objdir was given.
    20359 if test "${with_blas_objdir+set}" = set; then
    20360   withval="$with_blas_objdir"
    20361   if test "$coin_has_blas" = installed; then
    20362                    { { echo "$as_me:$LINENO: error: --with-blas-objdir cannot be given together with --with-blas-instdir" >&5
    20363 echo "$as_me: error: --with-blas-objdir cannot be given together with --with-blas-instdir" >&2;}
    20364    { (exit 1); exit 1; }; }
    20365                  fi
    20366                  if test "$coin_has_blas" = notGiven; then
    20367                    { { echo "$as_me:$LINENO: error: --with-blas-objdir must be accompanied by --with-blas-srcdir" >&5
    20368 echo "$as_me: error: --with-blas-objdir must be accompanied by --with-blas-srcdir" >&2;}
    20369    { (exit 1); exit 1; }; }
    20370                  fi
    20371                  if test -d "$withval"; then : ; else
    20372                    { { echo "$as_me:$LINENO: error: argument for --with-blas-objdir not a directory" >&5
    20373 echo "$as_me: error: argument for --with-blas-objdir not a directory" >&2;}
    20374    { (exit 1); exit 1; }; }
    20375                  fi
    20376                  BLASOBJDIR=`cd $withval; pwd`
    20377 else
    20378   BLASOBJDIR="$BLASSRCDIR"
    20379 fi;
    20380 
    20381     # if we still don't have a location, check for generic flag
    20382     if test "$coin_has_blas" = notGiven; then
    20383 
    20384 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    20385 if test "${with_coin_instdir+set}" = set; then
    20386   withval="$with_coin_instdir"
    20387   if test -d "$withval"; then : ; else
    20388                      { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    20389 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    20390    { (exit 1); exit 1; }; }
    20391                    fi
    20392                    if test -r $withval/share/doc/coin/Blas/README;
    20393 
    20394                    then
    20395                      coin_has_blas=installed
    20396                      BLASINSTDIR=`cd $withval; pwd`
    20397                    fi
    20398 fi;
    20399     fi
    20400 
    20401     # check if project can be found in /Blas
    20402     # this is for the classic setup when this macro is called from AC_COIN_MAIN_SUBDIR
    20403     fulldir=Blas
    20404 
    20405     if test "$coin_has_blas" = notGiven; then
    20406       if test -d $srcdir/$fulldir; then
    20407          coin_has_blas=$fulldir
    20408 
    20409 
    20410       fi
    20411     fi
    20412 
    20413     # check if project can be found in ..//Blas
    20414     # this is for the classic setup when this macro is called from the project main directory
    20415     fulldir=../Blas
    20416 
    20417     if test "$coin_has_blas" = notGiven; then
    20418       if test -d $srcdir/$fulldir; then
    20419          coin_has_blas=$fulldir
    20420 
    20421 
    20422       fi
    20423     fi
    20424   fi
    20425 fi
    20426 
    20427 if test $coin_has_blas != notGiven &&
    20428    test $coin_has_blas != skipping; then
    20429   # Set the #define if the component is available
    20430 
    20431 cat >>confdefs.h <<\_ACEOF
    20432 #define COIN_HAS_BLAS 1
    20433 _ACEOF
    20434 
    20435 
    20436   if test $coin_has_blas = installed; then
    20437     BLASDOCDIR=$BLASINSTDIR/share/doc/coin/Blas
    20438        BLASDATADIR=$BLASINSTDIR/share/coin/Blas
    20439 
    20440   else
    20441     if test "$BLASOBJDIR" = This_Variable_Is_Not_Set; then
    20442       # Set the variables for source and object code location
    20443       BLASSRCDIR=`cd $srcdir/$coin_has_blas; pwd`
    20444       BLASOBJDIR=`pwd`/$coin_has_blas
    20445       BLASDOCDIR=$abs_lib_dir/../share/doc/coin/Blas
    20446 
    20447       BLASDATADIR=$BLASOBJDIR
    20448     else
    20449       # This is just a guess:
    20450       BLASDOCDIR=$BLASOBJDIR/../share/doc/coin/Blas
    20451          BLASDATADIR=$BLASOBJDIR/../share/coin/Blas
    20452 
    20453     fi
    20454   fi
    20455 fi
    20456 
    20457 # Define the Makefile conditional
    20458 
    20459 
    20460 if test $coin_has_blas != notGiven &&
    20461                 test $coin_has_blas != skipping; then
    20462   COIN_HAS_BLAS_TRUE=
    20463   COIN_HAS_BLAS_FALSE='#'
    20464 else
    20465   COIN_HAS_BLAS_TRUE='#'
    20466   COIN_HAS_BLAS_FALSE=
    20467 fi
    20468 
    20469 
    20470 
    20471 if test $coin_has_blas = installed; then
    20472   COIN_HAS_BLAS_PREINSTALLED_TRUE=
    20473   COIN_HAS_BLAS_PREINSTALLED_FALSE='#'
    20474 else
    20475   COIN_HAS_BLAS_PREINSTALLED_TRUE='#'
    20476   COIN_HAS_BLAS_PREINSTALLED_FALSE=
    20477 fi
    20478 
    20479 
    20480 if test $coin_has_blas = installed; then
    20481   echo "$as_me:$LINENO: result: installed in $BLASINSTDIR" >&5
    20482 echo "${ECHO_T}installed in $BLASINSTDIR" >&6
    20483   if test -r $BLASINSTDIR/share/doc/coin/Blas/README; then
    20484 
    20485   :
    20486 else
    20487   { { echo "$as_me:$LINENO: error: $BLASINSTDIR/share/doc/coin/Blas/README should be available if Blas is installed" >&5
    20488 echo "$as_me: error: $BLASINSTDIR/share/doc/coin/Blas/README should be available if Blas is installed" >&2;}
    20489    { (exit 1); exit 1; }; }
    20490   :
    20491 fi
    20492 
    20493 
    20494 
    20495 else
    20496   echo "$as_me:$LINENO: result: $coin_has_blas" >&5
    20497 echo "${ECHO_T}$coin_has_blas" >&6
    20498   if test $coin_has_blas != notGiven &&
    20499      test $coin_has_blas != skipping; then
    20500     echo "$as_me:$LINENO: checking for source code location of Blas" >&5
    20501 echo $ECHO_N "checking for source code location of Blas... $ECHO_C" >&6
    20502     echo "$as_me:$LINENO: result: $BLASSRCDIR" >&5
    20503 echo "${ECHO_T}$BLASSRCDIR" >&6
    20504     echo "$as_me:$LINENO: checking for object code location of Blas" >&5
    20505 echo $ECHO_N "checking for object code location of Blas... $ECHO_C" >&6
    20506     echo "$as_me:$LINENO: result: $BLASOBJDIR" >&5
    20507 echo "${ECHO_T}$BLASOBJDIR" >&6
    20508   fi
    20509 fi
    20510 
    20511 
    20512 # Check if Blas is already available on the system or provided by user
    20513 #AC_COIN_HAS_BLAS
    20514 #MAKEOKFILE=.MakeOk
    20515 #if test $coin_has_blas = yes && test "$use_blas" != BUILD; then
    20516 #  rm -f $MAKEOKFILE
    20517 #  AC_MSG_NOTICE([The Blas sources don't need to be compiled])
    20518 #  MAKEOKFILE=
    20519 #else
    20520 #  touch $MAKEOKFILE
    20521 #fi
    20522 #AC_SUBST(MAKEOKFILE)
    20523 #AM_CONDITIONAL(SKIPMAKE, test -z "$MAKEOKFILE")
    20524 
    2052520287                                        ac_config_files="$ac_config_files Makefile blas_addlibs.txt blas.pc blas-uninstalled.pc"
    2052620288
     
    2058120343    done
    2058220344    subdirs="$new_subdirs"
     20345  fi
     20346
     20347  # need to come before AC_OUTPUT
     20348  if test x$coin_projectdir != xyes; then
     20349    # write coin_subdirs to a file so that project configuration knows where to find uninstalled projects
     20350    echo $coin_subdirs > coin_subdirs.txt
     20351  else
     20352    # substitute for OBJDIR, needed to setup .pc file for uninstalled project
     20353    ABSBUILDDIR="`pwd`"
     20354
    2058320355  fi
    2058420356
     
    2074420516Usually this means the macro was only invoked conditionally." >&5
    2074520517echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
    20746 Usually this means the macro was only invoked conditionally." >&2;}
    20747    { (exit 1); exit 1; }; }
    20748 fi
    20749 if test -z "${COIN_HAS_BLAS_TRUE}" && test -z "${COIN_HAS_BLAS_FALSE}"; then
    20750   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_BLAS\" was never defined.
    20751 Usually this means the macro was only invoked conditionally." >&5
    20752 echo "$as_me: error: conditional \"COIN_HAS_BLAS\" was never defined.
    20753 Usually this means the macro was only invoked conditionally." >&2;}
    20754    { (exit 1); exit 1; }; }
    20755 fi
    20756 if test -z "${COIN_HAS_BLAS_PREINSTALLED_TRUE}" && test -z "${COIN_HAS_BLAS_PREINSTALLED_FALSE}"; then
    20757   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_BLAS_PREINSTALLED\" was never defined.
    20758 Usually this means the macro was only invoked conditionally." >&5
    20759 echo "$as_me: error: conditional \"COIN_HAS_BLAS_PREINSTALLED\" was never defined.
    2076020518Usually this means the macro was only invoked conditionally." >&2;}
    2076120519   { (exit 1); exit 1; }; }
     
    2138721145s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2138821146s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    21389 s,@BLASSRCDIR@,$BLASSRCDIR,;t t
    21390 s,@BLASOBJDIR@,$BLASOBJDIR,;t t
    21391 s,@BLASDOCDIR@,$BLASDOCDIR,;t t
    21392 s,@BLASDATADIR@,$BLASDATADIR,;t t
    21393 s,@BLASINSTDIR@,$BLASINSTDIR,;t t
    21394 s,@COIN_HAS_BLAS_TRUE@,$COIN_HAS_BLAS_TRUE,;t t
    21395 s,@COIN_HAS_BLAS_FALSE@,$COIN_HAS_BLAS_FALSE,;t t
    21396 s,@COIN_HAS_BLAS_PREINSTALLED_TRUE@,$COIN_HAS_BLAS_PREINSTALLED_TRUE,;t t
    21397 s,@COIN_HAS_BLAS_PREINSTALLED_FALSE@,$COIN_HAS_BLAS_PREINSTALLED_FALSE,;t t
    2139821147s,@LIBEXT@,$LIBEXT,;t t
    2139921148s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
     21149s,@ABSBUILDDIR@,$ABSBUILDDIR,;t t
    2140021150s,@LIBOBJS@,$LIBOBJS,;t t
    2140121151s,@LTLIBOBJS@,$LTLIBOBJS,;t t
  • ThirdParty/Blas/branches/BSPsplit/configure.ac

    r1396 r1446  
    5353AC_COIN_INIT_AUTO_TOOLS
    5454
    55 AC_COIN_HAS_PROJECT(Blas)
    56 
    57 # Check if Blas is already available on the system or provided by user
    58 #AC_COIN_HAS_BLAS
    59 #MAKEOKFILE=.MakeOk
    60 #if test $coin_has_blas = yes && test "$use_blas" != BUILD; then
    61 #  rm -f $MAKEOKFILE
    62 #  AC_MSG_NOTICE([The Blas sources don't need to be compiled])
    63 #  MAKEOKFILE=
    64 #else
    65 #  touch $MAKEOKFILE
    66 #fi
    67 #AC_SUBST(MAKEOKFILE)
    68 #AM_CONDITIONAL(SKIPMAKE, test -z "$MAKEOKFILE")
    69 
    7055AC_CONFIG_FILES([Makefile blas_addlibs.txt blas.pc blas-uninstalled.pc])
    7156
Note: See TracChangeset for help on using the changeset viewer.